For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
      • GETList contacts
      • POSTCreate a new contact
      • GETFetch a single contact
      • PUTUpdate an existing contact
      • DELDelete a contact
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM CoreContacts

Create a new contact

||View as Markdown|
POST
https://api.close.com/api/v1/contact/
POST
/api/v1/contact/
$curl -X POST https://api.close.com/api/v1/contact/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "custom.cf_j0P7kHmgFTZZnYBFtyPSZ3uQw4dpW8xKcW7Krps8atj": "Account Executive",
> "emails": [
> {
> "email": "john@example.com",
> "type": "office"
> }
> ],
> "lead_id": "lead_QyNaWw4fdSwxl5Mc5daMFf3Y27PpIcH0awPbC9l7uyo",
> "name": "John Smith",
> "phones": [
> {
> "phone": "9045551234",
> "type": "mobile"
> }
> ],
> "title": "President",
> "urls": [
> {
> "type": "url",
> "url": "http://twitter.com/google/"
> }
> ]
>}'
1{
2 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
3 "date_created": "2013-03-07T23:23:21.495000+00:00",
4 "date_updated": "2013-03-07T23:23:21.495000+00:00",
5 "display_name": "John Smith",
6 "id": "cont_sNIdBgngvbdTTEN1mspKgUqKAWfbul4IITvnWoRw1T7",
7 "name": "John Smith",
8 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
9 "title": "President",
10 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
11 "emails": [
12 {
13 "email": "john@example.com",
14 "is_unsubscribed": false,
15 "type": "office"
16 }
17 ],
18 "phones": [
19 {
20 "phone": "+19045551234",
21 "type": "mobile",
22 "country": "US",
23 "phone_formatted": "+1 904-555-1234"
24 }
25 ],
26 "urls": [
27 {
28 "type": "url",
29 "url": "http://twitter.com/google/"
30 }
31 ],
32 "custom.cf_j0P7kHmgFTZZnYBFtyPSZ3uQw4dpW8xKcW7Krps8atj": "Account Executive"
33}

Contacts belong to exactly one Lead (specified by lead_id). If you do not provide a lead_id then a new lead will be created, named after the contact.

Was this page helpful?
Previous

List contacts

Next

Fetch a single contact

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Request

This endpoint expects any.

Response

Successful response
created_bystring or null
date_createddatetime
date_updateddatetime
display_namestring
idstring
namestring or null
organization_idstring
titlestring or null
updated_bystring or null
emailslist of objects
integration_linkslist of objects
lead_idstring or null
lead_suggestions_operation_idstring or null
phoneslist of objects
recent_callslist of objects
subscriptionslist of objects
timezonestring or null
timezone_sourcestring or null
urlslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error